> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List pkg simple

> A faster endpoint to quickly retrieve basic pkg information. This API provides better performance for scenarios where you need to get essential pkg details quickly.



## OpenAPI

````yaml get /boxes/{boxId}/android/packages/simple
openapi: 3.0.0
info:
  title: GBOX Open API
  description: GBOX Open API Documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://gbox.ai/api/v1
    description: Production Server
security: []
tags: []
paths:
  /boxes/{boxId}/android/packages/simple:
    get:
      tags:
        - Android
      summary: List pkg simple
      description: >-
        A faster endpoint to quickly retrieve basic pkg information. This API
        provides better performance for scenarios where you need to get
        essential pkg details quickly.
      operationId: AndroidController_listAndroidPkgSimple
      parameters:
        - name: boxId
          required: true
          in: path
          description: Box ID
          schema:
            example: c9bdc193-b54b-4ddb-a035-5ac0c598d32d
            type: string
        - name: pkgType
          required: false
          in: query
          description: system or thirdParty, default is thirdParty
          schema:
            default:
              - thirdParty
            example:
              - thirdParty
            type: array
            items:
              type: string
              enum:
                - system
                - thirdParty
      responses:
        '200':
          description: Android pkg simple list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAndroidPkgSimpleResult'
      security:
        - bearer: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import GboxSDK from "gbox-sdk";

            const gboxSDK = new GboxSDK({
              apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
            });

            async function main() {
              // Create an Android box
              const box = await gboxSDK.create({ type: "android" });

              // List all Android packages installed on the box (simple info)
              const androidPkgSimpleList = await box.pkg.listSimpleInfo();

              console.log(`Android Pkg List: ${JSON.stringify(androidPkgSimpleList, null, 2)}`);
            }

            main();
        - lang: Python
          source: |-
            import os
            from gbox_sdk import GboxSDK

            def main():
                gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])

                # Create an Android box
                box = gbox_sdk.create(type="android")

                # List all Android packages installed on the box (simple info)
                android_pkg_simple_list = box.pkg.list_simple_info()

                print(f"Android Pkg List: {android_pkg_simple_list}")

            if __name__ == "__main__":
                main()
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"encoding/json\"\n\t\"fmt\"\n\t\"log\"\n\t\"os\"\n\n\t\"github.com/gbox/gbox-sdk-go\"\n)\n\nfunc main() {\n\tgboxSDK := gbox.NewGboxSDK(os.Getenv(\"GBOX_API_KEY\"))\n\n\t// Create an Android box\n\tbox, err := gboxSDK.Create(context.Background(), gbox.CreateRequest{Type: \"android\"})\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to create box: %v\", err)\n\t}\n\n\t// List all Android packages installed on the box (simple info)\n\tandroidPkgSimpleList, err := box.Pkg.ListSimpleInfo(context.Background())\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to list Android packages: %v\", err)\n\t}\n\n\t// Format output similar to JavaScript version\n\tandroidPkgSimpleJSON, err := json.MarshalIndent(androidPkgSimpleList, \"\", \"  \")\n\tif err != nil {\n\t\tlog.Fatalf(\"Failed to marshal Android packages: %v\", err)\n\t}\n\n\tfmt.Printf(\"Android Pkg List: %s\\n\", androidPkgSimpleJSON)\n}"
components:
  schemas:
    ListAndroidPkgSimpleResult:
      type: object
      properties:
        data:
          description: Android pkg simple list
          example:
            - packageName: com.google.android.apps.googlevoice
              apkPath: /data/app/com.google.android.apps.googlevoice-1/base.apk
              pkgType: thirdParty
            - packageName: com.android.chrome
              apkPath: /data/app/com.android.chrome-2/base.apk
              pkgType: thirdParty
          type: array
          items:
            $ref: '#/components/schemas/AndroidPkgSimple'
      title: List Android Pkg Simple Result
      description: Response containing list of Android pkgs
      required:
        - data
    AndroidPkgSimple:
      type: object
      properties:
        packageName:
          type: string
          description: Android pkg package name
          example: com.google.android.apps.googlevoice
        apkPath:
          type: string
          description: Android apk path
          example: /data/app/com.google.android.apps.googlevoice-1/base.apk
        pkgType:
          type: string
          description: system or thirdParty
          enum:
            - system
            - thirdParty
          example: thirdParty
      title: Android Pkg Simple
      description: Android pkg simple
      required:
        - packageName
        - apkPath
        - pkgType
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Enter your API Key in the format: Bearer <token>. Get it from
        https://gbox.ai

````